<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
	/**
	 * ajax preview
	 * @author Logan Cai (cailongqun [at] yahoo [dot] com [dot] cn)
	 * @link www.phpletter.com
	 * @since 22/April/2007
	 *
	 */
	include_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . "inc" . DIRECTORY_SEPARATOR . "config.afm.php");
	echo getRealPath($_GET['path']);
	if(!empty($_GET['path']) && file_exists($_GET['path']) && is_file($_GET['path']))
	{

		include_once(CLASS_MANAGER);
		$manager = new manager($_GET['path'], false);
		$fileTypes = $manager->getFileType(basename($_GET['path']));
		if($fileTypes['preview'])
		{
			switch($fileTypes['fileType'])
			{
				case "image":
					$imageInfo = @getimagesize($_GET['path']);
					if(!empty($imageInfo[0]) && !empty($imageInfo[1]))
					{
						$thumInfo = getThumbWidthHeight($imageInfo[0], $imageInfo[1], 400, 135);
						printf("<img src=\"%s\" width=\"%s\" height=\"%s\" />", getFileUrl($_GET['path']), $thumInfo['width'], $thumInfo['height']);

					}else
					{
						echo PREVIEW_IMAGE_LOAD_FAILED;
					}

					break;
				case "txt":
					if(($fp = @fopen($_GET['path'], 'r')))
					{
						echo @fread($fp, @filesize($_GET['path']));
						@fclose($fp);
					}else
					{
						echo PREVIEW_OPEN_FAILED . ".";
					}
					break;

				case "video":
					break;
			}
		}else
		{
			echo PREVIEW_NOT_PREVIEW . "..";
		}

	}else
	{
		echo PREVIEW_NOT_PREVIEW . "...";
	}

?>