<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleCheckgw
 * @author Ravil Garafutdinov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_CheckGW_CC', # this is also a main class name
        'shortName'    => 'PM_CGW_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'CheckGWCC payment module. See payment documentation',
        'version'      => '1.0.9225',
        'author'       => 'Ravil Garafutdinov',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_checkgw_cc_api.php',
        'resFile'      => 'payment-module-checkgw-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_checkgw' => 'update_checkgw.php'
            )
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleCheckGWInputAZ' => 'checkgw_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleCheckGWInput'  => 'checkgw_input_cz.php',
                'CheckoutPaymentModuleCheckGWOutput' => 'checkgw_output_cz.php'
            )
        )
    );
?>