<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleHSBC
 * @author Leonid Yapharov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_epay_CC', #this is also a main class name
        'shortName'    => 'PM_EPAY',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'HSBCCC payment module. See payment documentation',
        'version'      => '0.1.9225',
        'author'       => 'Yapharov Leonid',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_epay_cc_api.php',
        'resFile'      => 'payment-module-epay-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_epay' => 'update_epay.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'epay_cc_input_az' => 'epay_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleEPAYCCInput'  => 'epay_cc_input_cz.php',
                'CheckoutPaymentModuleEPAYCCOutput' => 'epay_cc_output_cz.php'
            )
        )
    );
?>