<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package ShippingModuleAuP
 * @author Egor V. Derevyankin
 */

$moduleInfo = array
    (
        'name'         => 'Shipping_Module_AuP', #
        'shortName'    => 'AUP',
        'groups'       => 'ShippingModule,Offline',
        'description'  => 'Austra Post shipping module. See shipping documentation',
        'version'      => '0.3.9225',
        'author'       => 'Egor V. Derevyankin',
        'contact'      => '',
        'systemModule'  => false,
        'mainFile'     => 'shipping_module_aup_api.php',
        'resFile'      => 'shipping-module-aup-messages',

        'actions' => array
        (
            'AdminZone' => array(
                'update_aup_settings' => 'update_aup_settings_action.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'aup_input_az' => 'aup_input_az.php',
            ),
            'CustomerZone' => array
            (
            )
        )
    );
?>