<?php

        global $application;
        $obj = new MessageResources("shipping-module-intershipper-messages", "AdminZone");
        loadCoreFile('csv_parser.php');
        $csv_parser = new CSV_Parser();

        $tables = Shipping_Module_InterShipper::getTables();
        $query = new DB_Table_Create($tables);

        $table = 'sm_intershipper_settings';                         
        $columns = $tables[$table]['columns'];                           

        $query = new DB_Insert($table);
        $query->addInsertValue("MODULE_NAME", $columns['key']);
        $query->addInsertValue('s:'.strlen($obj->getMessage('MODULE_NAME')).':"'.$obj->getMessage('MODULE_NAME').'";', $columns['value']);
        $application->db->getDB_Result($query);

        $query = new DB_Insert($table);
        $query->addInsertValue("MODULE_DESCR", $columns['key']);
        $query->addInsertValue('s:'.strlen($obj->getMessage('MODULE_DESCR')).':"'.$obj->getMessage('MODULE_DESCR').'";', $columns['value']);
        $application->db->getDB_Result($query);

        list($flt, $Default_Settings) = $csv_parser->parse_file(dirname(__FILE__)."/default_settings.csv");
        if(count($Default_Settings) > 0)
        {
            foreach($Default_Settings as $key => $setting)
            {
                $query = new DB_Insert($table);
                $query->addInsertValue($setting["key"], $columns['key']);
                $query->addInsertValue(serialize($setting["value"]), $columns['value']);
                $application->db->getDB_Result($query);
            };
        };

        $table = 'sm_intershipper_methods';
        $columns = $tables[$table]['columns'];

        list($flt,$Shipping_Methods)=$csv_parser->parse_file(dirname(__FILE__)."/methods.csv");
        
        if(count($Shipping_Methods) > 0)
        {
            foreach($Shipping_Methods as $key => $method)
            {
                $query = new DB_Insert($table);
                $query->addInsertValue($method["carrier"], $columns['carrier_code']);
                $query->addInsertValue($method["name"], $columns['method_name']);
                $query->addInsertValue($method["destination"], $columns['destination']);
                $query->addInsertValue($method["code"], $columns['method_code']);
                $application->db->getDB_Result($query);
            };
        };

?>
