<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModule2CheckoutCC
 * @author Egor Makarov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_2Checkout_CC', # this is also a main class name
        'shortName'    => 'PM_2CO',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => '2Checkout payment module. See payment documentation',
        'version'      => '0.1.9225',
        'author'       => 'Egor Makarov',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_2checkout_cc_api.php',
        'resFile'      => 'payment-module-2checkout-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_2checkout' => 'update_2checkout.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModule2CheckoutCCInputAZ' => '2checkout_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModule2CheckoutCCInput'  => '2checkout_cc_input_cz.php',
                'CheckoutPaymentModule2CheckoutCCOutput' => '2checkout_cc_output_cz.php'
            )
        )
    );
?>