<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModulePaypal
 * @author Guillem Lorman
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Bbva_CC', # this is also a main class name
        'shortName'    => 'PM_BBVA_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'BBVA payment module. See payment documentation',
        'version'      => '0.2.9225',
        'author'       => 'Guillem Lorman',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_bbva_cc_api.php',
        'resFile'      => 'payment-module-bbva-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'update_bbva' => 'update_bbva.php'
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'bbva_cc_input_az' => 'bbva_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleBbvaCCInput'  => 'bbva_cc_input_cz.php',
                'CheckoutPaymentModuleBbvaCCOutput' => 'bbva_cc_output_cz.php'
            )
        )
    );
?>