<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleGate2shopCC
 * @author Alexander Belyakov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Gate2shop_CC', # this is also a main class name
        'shortName'    => 'PM_G2S_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'Gate2shop payment module',
        'version'      => '0.7.9225',
        'author'       => 'Ravil Garafutdinov',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_gate2shop_cc_api.php',
        'resFile'      => 'payment-module-gate2shop-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array(
                'update_gate2shop' => 'update_gate2shop.php',
            ),
            'Gate2shopUpdatePaymentStatus' => 'gate2shop-update-payment-status-action.php'
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleGate2shopCCInputAZ' => 'gate2shop_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleGate2shopCCInput'  => 'gate2shop_cc_input_cz.php',
                'CheckoutPaymentModuleGate2shopCCOutput' => 'gate2shop_cc_output_cz.php'
            )
        )
    );
?>