<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleOrbitalCC
 * @author Vadim Lyalikov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Orbital_CC',
        'shortName'    => 'ORBITAL',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'Orbital payment module. See payment documentation.',
        'version'      => '0.1.9225',
        'author'       => 'Vadim Lyalikov',
        'contact'      => '',
        'systemModule' => false,
        'constantsFile'=> 'const.php',
        'mainFile'     => 'payment_module_orbital_cc_api.php',
        'resFile'      => 'payment-module-orbital-messages',
        'extraAPIFiles' => array(
            'OrbitalPayment' => 'abstract/OrbitalPayment.php'
        ),

        'actions' => array
        (
            'AdminZone' => array (
                'update_orbital' => 'update_orbital.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleOrbitalCCInputAZ' => 'orbital_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleOrbitalCCInput'  => 'orbital_cc_input_cz.php',
                'CheckoutPaymentModuleOrbitalCCOutput' => 'orbital_cc_output_cz.php'
            )
        )
    );
?>