<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * Checkout module.
 * Action handler on UpdatePaymentStatus.
 *
 * @package Checkout
 * @access  public
 */
class PaypointUpdatePaymentStatus
{
//------------------------------------------------
//               PUBLIC DECLARATION
//------------------------------------------------

    /**#@+
     * @access public
     */

    /**
     * Action constructor.
     *
     * @ finish the functions on this page
     */
    function PaypointUpdatePaymentStatus()
    {
    }


    /**
     * Updates the payment status for the given order. According to information
     * from the payment gateway.
     *
     * Action: UpdatePaymentStatus.
     *
     * @ finish the functions on this page
     */
    function onAction()
    {
        global $application;
        $request = $application->getInstance('Request');

        $orderId = $request->getValueByKey('asc_oid');
        $valid = $request->getValueByKey('valid');
        $amount = $request->getValueByKey('amount');
        #$customer_session_id = $request->getValueByKey('customer_session_id');

        $request = new Request();
        $request->setView('CheckoutView');
        $request->setAction("UpdatePaymentStatus");
        $request->setKey("asc_oid", $orderId);
        $request->setKey('valid', $valid);
        $request->setKey('amount', $amount);
        #$request->setKey(session_name(), $customer_session_id);
//print_r($request);die();
        $application->redirect($request);
    }
    /**#@-*/

//------------------------------------------------
//              PRIVATE DECLARATION
//------------------------------------------------

    /**#@+
     * @access private
     */

    /**#@-*/
}

?>