<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
| -----------------------------------------------------------------------
| All source codes & content (c) Copyright 2004-2010, Pentasoft Corp.
| unless specifically noted otherwise.
| =============================================
| This source code is released under the Avactis License Agreement.
| The latest version of this license can be found here:
| http://www.avactis.com/license.php
|
| By using this software, you acknowledge having read this license agreement
| and agree to be bound thereby.
|
 ***********************************************************************/
?><?php
/**
 * @package PaymentModuleWorldpayCC
 * @author Egor Makarov
 */

$moduleInfo = array
    (
        'name'         => 'Payment_Module_Worldpay_CC', # this is also a main class name
        'shortName'    => 'PM_WP_CC',
        'groups'       => 'PaymentModule,OnlineCC',
        'description'  => 'WorldPay payment module. See',
        'version'      => '0.1.9225',
        'author'       => 'Egor Makarov',
        'contact'      => '',
        'systemModule' => false,
        'mainFile'     => 'payment_module_worldpay_cc_api.php',
        'resFile'      => 'payment-module-worldpay-messages',

        'actions' => array
        (
            # We suppose, the action name matches
            # the class name of this action.
            # 'action_class_name' => 'action_file_name'
            'AdminZone' => array (
                'update_worldpay' => 'update_worldpay.php'
            ),
        ),

        'hooks' => array
        (
        ),

        'views' => array
        (
            'AdminZone' => array
            (
                'CheckoutPaymentModuleWorldpayCCInputAZ' => 'worldpay_cc_input_az.php',
            ),
            'CustomerZone' => array
            (
                'CheckoutPaymentModuleWorldpayCCInput'  => 'worldpay_cc_input_cz.php',
                'CheckoutPaymentModuleWorldpayCCOutput' => 'worldpay_cc_output_cz.php',
//                'CheckoutPaymentModuleWorldpayCCConfirm' => 'worldpay_cc_confirm_cz.php'
            )
        )
    );
?>