<?php

        global $application;
        $obj = new MessageResources("shipping-module-fedex-messages", "AdminZone");
        loadCoreFile('csv_parser.php');
        $csv_parser = new CSV_Parser();

        $tables = Shipping_Module_FedEx::getTables();
        $query = new DB_Table_Create($tables);

        $table = 'sm_fedex_settings';                         
        $columns = $tables[$table]['columns'];                           

        $query = new DB_Insert($table);
        $query->addInsertValue("MODULE_NAME", $columns['key']);
        $query->addInsertValue('s:'.strlen($obj->getMessage('MODULE_NAME')).':"'.$obj->getMessage('MODULE_NAME').'";', $columns['value']);
        $application->db->getDB_Result($query);

	list($flt, $Default_Settings) = $csv_parser->parse_file(dirname(__FILE__)."/install_data/default_settings.csv");
        if(count($Default_Settings) > 0)
        {
            foreach($Default_Settings as $key => $setting)
            {
                $query = new DB_Insert($table);
                $query->addInsertValue($setting["key"], $columns['key']);
                $query->addInsertValue(serialize($setting["value"]), $columns['value']);
                $application->db->getDB_Result($query);
            };
        };

        unset($Default_Settings);

        $import_files=array(
            "sm_fedex_methods"
        );

        foreach($import_files as $import_file)
        {
            $full_file_path=str_replace("\\","/",realpath(dirname(__FILE__)."/install_data/".$import_file));
            $table_name=$application->getAppIni("DB_TABLE_PREFIX")."$import_file";
            //$query="ALTER TABLE $table_name DISABLE KEYS";
            //$application->db->DB_Query($query);
            $query="LOAD DATA LOCAL INFILE '$full_file_path'". 
                   " INTO TABLE $table_name".
                   " FIELDS TERMINATED BY ',' ENCLOSED BY '\"'".
                   " LINES TERMINATED BY '\n';";
            $application->db->DB_Query($query);
            //$query="ALTER TABLE $table_name ENABLE KEYS";
            //$application->db->DB_Query($query);
        }

?>